<?php

if(!function_exists('mascot_core_educacion_sc_social_list_vc_map_modifier')) {
	/**
	 * Shortcodes vc_map modifier
	 */
	function mascot_core_educacion_sc_social_list_vc_map_modifier( $shortcode_base ) {
		//vc_remove_param( $shortcode_base, "display_type" );
		//vc_add_param( $shortcode_base, $attributes );
		//vc_add_params( $shortcode_base, $attributes );
	}
}



if(!function_exists('mascot_core_educacion_sc_social_list_render')) {
	/**
	 * Renders shortcodes HTML
	 */
	function mascot_core_educacion_sc_social_list_render( $attr, $content = null ) {
		
		$args = array(
			'custom_css_class' => '',

			'icon_type' => '',
			'icon_color' => '',
			
			'icon_style' => '',
			'icon_size' => '',

			'icon_border_style' => '',
			'icon_theme_colored' => '',
		);

		$params = shortcode_atts($args, $attr);

		//Enabled social links
		$params['social_links'] = educacion_mascot_get_redux_option( 'social-links-ordering', false, 'Enabled' );

		//classes
		$classes = array();
		$classes[] = $params['custom_css_class'];
		$params['classes'] = $classes;


		//Produce HTML version by using the parameters (filename, variation, folder name, parameters, shortcode_ob_start)
		$html = educacion_mascot_get_shortcode_template_part( 'social-list', $params['icon_type'], 'social-list/tpl', $params, true );
		
		return $html;
	}
}